LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
XEnhancedMouseClickHandler Interface Referencepublished

makes it possible to receive enhanced events from the mouse. More...

`import "XEnhancedMouseClickHandler.idl";`

Inheritance diagram for XEnhancedMouseClickHandler:

## Public Member Functions
boolean | mousePressed ([in] com::sun::star::awt::EnhancedMouseEvent e)
| is invoked when a mouse button has been pressed on a window.
boolean | mouseReleased ([in] com::sun::star::awt::EnhancedMouseEvent e)
| is invoked when a mouse button has been released on a window.
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

makes it possible to receive enhanced events from the mouse.

Since
  OOo 2.0

## Member Function Documentation

## ◆ mousePressed()

boolean mousePressed | ( | [in] com::sun::star::awt::EnhancedMouseEvent | e | ) |

is invoked when a mouse button has been pressed on a window.

## ◆ mouseReleased()

boolean mouseReleased | ( | [in] com::sun::star::awt::EnhancedMouseEvent | e | ) |

is invoked when a mouse button has been released on a window.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XEnhancedMouseClickHandler.idl